JDBCNClob (HSQLDB 2.3.3 API)
Date: 2015-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class JDBCNClob

    java.lang.Object
      org.hsqldb.jdbc.JDBCClob
          org.hsqldb.jdbc.JDBCNClob

All Implemented Interfaces:
  Clob, NClob

    public class JDBCNClob

extends JDBCClob
implements NClob

The mapping in the JavaTM programming language for the SQL `NCLOB` type. An SQL `NCLOB` is a built-in type that stores a Character Large Object using the National Character Set as a column value in a row of a database table.

The `NClob` interface extends the `Clob` interface which provides provides methods for getting the length of an SQL `NCLOB` value, for materializing a `NCLOB` value on the client, and for searching for a substring or `NCLOB` object within a `NCLOB` value. A `NClob` object, just like a `Clob` object, is valid for the duration of the transaction in which it was created. Methods in the interfaces `ResultSet`, `CallableStatement`, and `PreparedStatement`, such as `getNClob` and `setNClob` allow a programmer to access an SQL `NCLOB` value. In addition, this interface has methods for updating a `NCLOB` value.

### HSQLDB-Specific Information:

First, it should be noted that since HSQLDB represents all character data internally as Java UNICODE (UTF16) String objects, there is not currently any appreciable difference between the HSQLDB XXXCHAR types and the SQL 2003 NXXXCHAR and NCLOB types.

See `JDBCClob` for further information.

Since:
  JDK 1.6, HSQLDB 2.0
Author:
  boucherb@users
See Also:
  `JDBCClob`, `JDBCClobClient`

Constructor Summary
`JDBCNClob(String data)`

Method Summary

Methods inherited from class org.hsqldb.jdbc.JDBCClob
`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Clob
`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

Constructor Detail

### JDBCNClob

    public JDBCNClob(String data)
              throws SQLException

Throws:
  `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2013 HSQL Development Group.